import React from 'react';
import Heading from '@/components/Base/Heading';
import Button from '@/components/Base/Button';
import Container from '@/components/Base/Container';
import Header from '@/components/Base/Header';
import SubscriptionCard from '@/components/SubscriptionCard';
import TestimonialCards from '@/components/TestimonialCards';
import ProcessCard from '@/components/ProcessCard/Index';
import HomeBottomSec from '@/components/HomeBottomSec';
import { FaFacebook, FaInstagram, FaTumblr, FaTwitter, FaYoutube } from 'react-icons/fa';
import BaseImage from '@/components/Base/BaseImage';

export default function AboutUs() {
  return (
    <div className='w-full -mt-4'>
      <div
        className='overflow-x-hidden bg-cover bg-center h-screen w-full flex flex-col justify-between p-5 sm:p-10'
        style={{
          backgroundImage: `url(/assets/images/aboutusbanner.png)`,
          overflow: 'hidden',
          width: '100% !important',
          height: '100%',
        }}
      >
        <Header />
        <div className='px-4 mt-32 pb-20' style={{ flexGrow: 1, display: 'flex', flexDirection: 'column', justifyContent: 'center', alignItems: 'flex-start', maxWidth: '600px' }}>
          <Container>
            <div>
              <div className='flex space-x-4 text-white mb-4'>
                <FaFacebook />
                <FaTwitter />
                <FaYoutube />
                <FaInstagram />
                <FaTumblr />
              </div>
              <Heading level={1} className='text-white font-bold text-2xl sm:text-2xl md:text-3xl lg:text-4xl xl:text-5xl mb-4'>
                Dating for Grown Ups <br /> Make a Real Connection
              </Heading>
              <p className='text-white text-lg mb-6'>Start meeting singles who are ready to commit today.</p>
              <Button
                title='Get Started'
                isPrimary
                className='bg-primary text-white py-3 px-8 border-none rounded-full text-lg hover:bg-purple-800'
              />
            </div>
          </Container>
        </div>
      </div>
      <ProcessCard />
      <TestimonialCards />
      <div className='flex justify-center items-center'>
        <BaseImage
          src="/assets/images/abttestsec.png"
          alt="Image Description"
          width={2080}
          height={420}
          style={{ objectFit: 'cover' }}
        />
      </div>
      <SubscriptionCard />
      <HomeBottomSec />
    </div>
  );
}
